package com.palmnest.dao.estateserve;

import java.util.List;
import java.util.Map;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.FloorInfo;
import com.palmnest.model.property.TbBuild;

/**
 * 楼层DAO接口类
 *
 * @author longmeizhen
 */
public interface FloorInfoDao extends GenericDao<FloorInfo, Integer> {
	/**
	 * 根据楼栋
	 * 获取楼层信息集合信息
	 *
	 * @param roleType
	 * @return
	 */
	public List<FloorInfo> getFloorInfoByBuildId(int buildId) throws Exception;

	/**
	 * 添加楼层的方法
	 *
	 * @param floorInfo
	 * @return
	 * @throws Exception
	 */
	public FloorInfo saveFloorInfo(FloorInfo floorInfo) throws Exception;


	/**
	 * 根据楼栋
	 * 获取楼层信息集合信息
	 *
	 * @param roleType
	 * @return
	 */
	public List<FloorInfo> getFloorListByOrgId(int orgId, String floorIds) throws Exception;

	public List<FloorInfo> getFloorListByName(String name, String buildId) throws Exception;

	public List<FloorInfo> getFloorListByFloorIds(String floorIds) throws Exception;

	public List<FloorInfo> getFloorAll();

	public List<FloorInfo> getFloorHaveMeeting(String orgId);

	public List<FloorInfo> getALLFloor(String orgId);

	/**
	 * 根据项目 查询楼栋集合
	 *
	 * @param organizationId
	 */
	public List<TbBuild> getTbBuildListByOrgaid(String orgId);

	public TbBuild getTbBuildById(int id);

	/**
	 * 获取楼层信息
	 *
	 * @param startTime 上一次更新时间
	 * @param endTime   本次更新时间
	 * @return
	 */
	public List<Map<String, Object>> getFloorData(String startTime, String endTime);
}
